ppc64el: The 'grub-ieee1275' package failed to install

Bug #1376973 reported by Paulo Flabiano Smorigo on 2014-10-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
grub-installer (Ubuntu)
High
Colin Watson

Bug Description

For some reason the installation fails if you format the disk before install Ubuntu on it. Looking at /var/log/syslog I saw those messages:

Oct 3 00:21:28 in-target: Installing for powerpc-ieee1275 platform.
Oct 3 00:21:28 in-target: grub-install: error: the PReP partition is not empty. If you are sure you want to use it, run dd to clear it: `dd if=/dev/zero of=/dev/sda1'.
Oct 3 00:21:28 in-target: dpkg: error processing package grub-ieee1275 (--configure):
Oct 3 00:21:28 in-target: subprocess installed post-installation script returned error exit status 1

PReP partition needs to empty or have an old elf inside it, otherwise, GRUB will refuse to install it.

Steps:
 - qemu-img create disk1.raw 10G
 - mkfs.ext4 -F disk1.raw
 - qemu-system-ppc64 -enable-kvm -M pseries -smp 1 -m 1G -nographic -nodefaults -serial stdio -drive file=disk1.raw -cdrom ../ubuntu_daily/utopic-server-ppc64el_2014-10-02.iso -boot d
 - Default options. Use "Guided - use entire disk"

Using daily image from Oct 2.

Additional Info:

Before the installation:

Disk /home/pfsmorigo/projects/ubuntu/disk1.raw: 10.7GB
Sector size (logical/physical): 512B/512B
Partition Table: loop
Disk Flags:

Number Start End Size File system Flags
 1 0.00B 10.7GB 10.7GB ext4

After the installation:

Disk /home/pfsmorigo/projects/ubuntu/disk1.raw: 10.7GB
Sector size (logical/physical): 512B/512B
Partition Table: gpt
Disk Flags:

Number Start End Size File system Name Flags
 1 17.4kB 8018kB 8001kB
 2 8018kB 10.2GB 10.2GB ext4
 3 10.2GB 10.7GB 506MB

Colin Watson (cjwatson) on 2014-10-06
affects: debian-installer (Ubuntu) → grub-installer (Ubuntu)
Colin Watson (cjwatson) on 2014-10-06
Changed in grub-installer (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
status: New → Fix Committed
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub-installer - 1.78ubuntu23

---------------
grub-installer (1.78ubuntu23) utopic; urgency=medium

  * On ppc64el, wipe the PReP partition before installing grub-ieee1275,
    otherwise installations where the PReP partition is not empty and does
    not contain a previous boot loader installation will fail now that
    grub-ieee1275.postinst runs grub-install (LP: #1376973).
 -- Colin Watson <email address hidden> Mon, 06 Oct 2014 18:29:15 +0100

Changed in grub-installer (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments